manage a lyric session that moves from note to note and adds lyrics.

### Hierarchy

- SuiNoteTextComponent
  - SuiLyricComponent

## Index

### Constructors

- constructor

### Accessors

- html

### Methods

- bind
- handleChanged
- makeClasses

## Constructors

### constructor

- new SuiLyricComponent(dialog: SuiDialogNotifier, parameter: SuiNoteTextParams): SuiLyricComponent

- Overrides SuiNoteTextComponent.constructor

  - Defined in src/ui/dialogs/components/noteText.ts:154

  #### Parameters

  - ##### dialog: SuiDialogNotifier

  - ##### parameter: SuiNoteTextParams

  #### Returns SuiLyricComponent

## Accessors

### html

- get html(): DomBuilder

- Overrides SuiNoteTextComponent.html

  - Defined in src/ui/dialogs/components/noteText.ts:160

  #### Returns DomBuilder

## Methods

### bind

- bind(): void

- Overrides SuiNoteTextComponent.bind

  - Defined in src/ui/dialogs/components/noteText.ts:219

  Called by the dialog after rendering, so the derived class can bind the html controls

  #### Returns void

### handleChanged

- handleChanged(): void

- Inherited from SuiNoteTextComponent.handleChanged

  - Defined in src/ui/dialogs/components/baseComponent.ts:138

  Called by the derived class when the value changes. The change flag is set to true, so the dialog will know which component changed.

  #### Returns void

### makeClasses

- makeClasses(classes: string): string

- Inherited from SuiNoteTextComponent.makeClasses

  - Defined in src/ui/dialogs/components/baseComponent.ts:148

  combine component classes with string, used for composites

  #### Parameters

  - ##### classes: string

    string ot append

  #### Returns string

  combined strings

Generated using TypeDoc